Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2510 - RFE: auto-lookup of file and/or keyword to choose package
Summary: RFE: auto-lookup of file and/or keyword to choose package
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 2.18
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-03 17:59 UTC by Jeff Johnson
Modified: 2014-05-31 01:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-23 19:28:00 UTC


Attachments (Terms of Use)

Description Jeff Johnson 1999-05-03 17:59:54 UTC
The current package selection mechanism is clunky
because of the need to include an entry for ~600
packages.

An alternative method could accept two types of
input:
	1) filenames beginning with a /
	2) anything else not beginning with /

File names would then be mapped back to packages by
querying a per-product rpm database to find the package
assignment.

Anything else should do standard keyword search scoring
to suggest appropriate packages.

Comment 1 Anonymous 1999-05-04 02:29:59 UTC
This is certainly a valuable feature, and one that we'd intended to
implement.

The bit of glue that we don't have to make this all work is getting
bugzilla to talk to the database that knows about what files exist in
what packages. I'm working on that bit of glue; it involves getting
bugzilla to use the same database driver (Oracle) as depends which has
that data already.

This is also doing something that bugzilla wasn't really originally
meant for, since that feature is very rpm specific.  I'm not objecting
to it, but it means that this feature is unlikely to ever make it into
the mainstream mozilla bugzilla tree.

So, yes, we're doing this, and it's certainly been in my mind for
awhile.

- Alex

Comment 2 Jeff Johnson 1999-06-04 14:54:59 UTC
The current dependence on component lists which are invariably
not accurate, and so *huge* that I have to adjust the client just
to select the component is leading to a lot of mis-filed bugs.

One resolution to this would be a text field in the form that behaves
as described above:

	1) tokens beginning with / are passed to

		rpm --dbpath everythingdb -qf TheToken
	(where everythingdb is a path to an rpm database that contains
	everything in the product)

	2) tokens not beginning with / are validated against

		rpm --dbpath everythingdb -q TheToken

That way the problem becomes not bugzilla's, but how to prepare
the everythingdb as part of composing a product tree.

Comment 3 David Lawrence 2005-08-23 19:28:00 UTC
No longer relevant due to new release of Bugzilla. Please reopen as new bug if
these requests are still needed.


Note You need to log in before you can comment on or make changes to this bug.